GET /api/pro/delivered
Every document this professional delivered, newest first, with what it earned and the document itself; a document whose client has had their data erased answers null.
Surface: professional. Who may call: professional. Key: professional.delivered.list.
Example request
curl -X GET https://caremcp.com/api/pro/delivered \
-H "Authorization: Bearer <session or access token>"
Input schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {}
}
Output schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "array",
"items": {
"type": "object",
"properties": {
"orderId": {
"type": "string"
},
"protocol": {
"type": "string"
},
"professions": {
"type": "array",
"items": {
"type": "string"
}
},
"reviewedAt": {
"type": "string"
},
"earnedCents": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"review": {
"anyOf": [
{
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "object",
"properties": {
"markdown": {
"type": "string"
}
},
"required": [
"markdown"
],
"additionalProperties": false
}
},
{
"type": "null"
}
]
}
},
"required": [
"orderId",
"protocol",
"professions",
"reviewedAt",
"earnedCents",
"review"
],
"additionalProperties": false
}
}